Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.archive.compound
Class ArchiveFileV1

    java.lang.Object
      org.eclipse.birt.core.archive.compound.ArchiveFileV1

All Implemented Interfaces:
  IArchiveFile

    public class ArchiveFileV1

extends java.lang.Object
implements IArchiveFile

Constructor Summary
`ArchiveFileV1(java.lang.String archiveName)`
`ArchiveFileV1(java.lang.String archiveName, java.io.RandomAccessFile rf)`

Method Summary
`void` | `close()`
`ArchiveEntry` | `createEntry(java.lang.String name)`
`boolean` | `exists(java.lang.String name)`
`void` | `flush()`
`java.lang.String` | `getDependId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSystemId()`
`long` | `getUsedCache()`
`java.util.List<java.lang.String>` | `listEntries(java.lang.String namePattern)`
`java.lang.Object` | `lockEntry(java.lang.String stream)`
`ArchiveEntry` | `openEntry(java.lang.String name)`
`protected void` | `readFileTable()` read the stream table from the archive file.
`void` | `refresh()`
`boolean` | `removeEntry(java.lang.String name)`
`void` | `save()`
`void` | `setCacheSize(long cacheSize)`
`void` | `unlockEntry(java.lang.Object locker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArchiveFileV1

    public ArchiveFileV1(java.lang.String archiveName,
                         java.io.RandomAccessFile rf)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

### ArchiveFileV1

    public ArchiveFileV1(java.lang.String archiveName)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### readFileTable

    protected void readFileTable()
                          throws java.io.IOException

  read the stream table from the archive file. the stream table is in the begining of the file, it contains: long: stream section postiton, always zero. long: entry number. followed by entries in the archive, each entry contains: utf8: stream name. long[2]: start offset, length.

  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `IArchiveFile`

### getDependId

    public java.lang.String getDependId()

  Specified by:
    `getDependId` in interface `IArchiveFile`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `IArchiveFile`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### setCacheSize

    public void setCacheSize(long cacheSize)

  Specified by:
    `setCacheSize` in interface `IArchiveFile`

### getUsedCache

    public long getUsedCache()

  Specified by:
    `getUsedCache` in interface `IArchiveFile`

### createEntry

    public ArchiveEntry createEntry(java.lang.String name)
                             throws java.io.IOException

  Specified by:
    `createEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### exists

    public boolean exists(java.lang.String name)

  Specified by:
    `exists` in interface `IArchiveFile`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### openEntry

    public ArchiveEntry openEntry(java.lang.String name)
                           throws java.io.IOException

  Specified by:
    `openEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### listEntries

    public java.util.List<java.lang.String> listEntries(java.lang.String namePattern)

  Specified by:
    `listEntries` in interface `IArchiveFile`

### refresh

    public void refresh()
                 throws java.io.IOException

  Specified by:
    `refresh` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### removeEntry

    public boolean removeEntry(java.lang.String name)
                        throws java.io.IOException

  Specified by:
    `removeEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### lockEntry

    public java.lang.Object lockEntry(java.lang.String stream)
                               throws java.io.IOException

  Specified by:
    `lockEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### unlockEntry

    public void unlockEntry(java.lang.Object locker)
                     throws java.io.IOException

  Specified by:
    `unlockEntry` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

### save

    public void save()
              throws java.io.IOException

  Specified by:
    `save` in interface `IArchiveFile`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.